/**
 * @file doxygen-group.h
 * Just an example.
 */

class A {
public:
	unsigned n;
	friend bool operator==(const A& lhs, const A& rhs);
	friend bool operator==(const A& lhs, const unsigned& rhs);
	friend bool operator==(const unsigned& lhs, const A& rhs);
};

/// @{
/// Comparison operators.
bool operator==(const A& lhs, const A& rhs) {
	return lhs.n == rhs.n;
}
bool operator==(const A& lhs, const unsigned& rhs) {
	return lhs.n == rhs;
}
bool operator==(const unsigned& lhs, const A& rhs) {
	return lhs == rhs.n;
}
/// @}